# Generated by Django 2.1.2 on 2018-12-04 19:29

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Data',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_add', models.DateTimeField(auto_now_add=True)),
                ('lux', models.PositiveIntegerField(default=1, verbose_name='Освещенность')),
                ('temperature', models.DecimalField(decimal_places=2, max_digits=6, verbose_name='Температура')),
                ('pressure', models.DecimalField(decimal_places=2, max_digits=6, verbose_name='Давление')),
                ('db', models.IntegerField(default=1, verbose_name='Шум')),
                ('humidity', models.DecimalField(decimal_places=2, max_digits=6, verbose_name='Влажность')),
                ('co2', models.CharField(default='', max_length=10, verbose_name='CO2')),
            ],
        ),
        migrations.CreateModel(
            name='Limits',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('lux', django.contrib.postgres.fields.ArrayField(base_field=models.DecimalField(decimal_places=2, max_digits=6), blank=True, default=list, size=2, verbose_name='Лимиты освещения')),
                ('temperature', django.contrib.postgres.fields.ArrayField(base_field=models.DecimalField(decimal_places=2, max_digits=6), blank=True, default=list, size=2, verbose_name='Лимиты температуры')),
                ('humidity', django.contrib.postgres.fields.ArrayField(base_field=models.DecimalField(decimal_places=2, max_digits=6), blank=True, default=list, size=2, verbose_name='Лимиты влажности')),
                ('co2', django.contrib.postgres.fields.ArrayField(base_field=models.DecimalField(decimal_places=2, max_digits=6), blank=True, default=list, size=2, verbose_name='Лимиты CO2')),
            ],
        ),
        migrations.CreateModel(
            name='Sensor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='', max_length=15, verbose_name='Имя')),
                ('mac', models.CharField(default='00-00-00-00-00', max_length=15, verbose_name='MAC адрес')),
            ],
        ),
        migrations.AddField(
            model_name='limits',
            name='sensor',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='welacontrol.Sensor', verbose_name='Датчик'),
        ),
        migrations.AddField(
            model_name='data',
            name='sensor',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='welacontrol.Sensor', verbose_name='Датчик'),
        ),
    ]
